local Reverse = string.find(GAMESTATE:GetPlayerState(pn):GetPlayerOptionsString("ModsLevel_Preferred"), "Reverse");
local t = Def.ActorFrame{

      
	Def.Sprite {
		Texture="line 1x2";
		Frame0000=0;
		Delay0000=0.2;
		Frame0001=1;
		Delay0001=0.2;
		InitCommand=function(self)
			if Reverse then
				self:vertalign(bottom)
			else
				self:vertalign(bottom):addrotationz(180)
			end
		end;
	};
	Def.Sprite {
		Texture="_key2";
		Frame0000=0;
		Delay0000=1;
		InitCommand=function(self)
			if Reverse then
				self:vertalign(top)
			else
				self:vertalign(top):addrotationz(180)
			end
		end;
	};        
	Def.Sprite {
		Texture="key2D";
		Frame0000=0;
		Delay0000=1;
		InitCommand=function(self)
			if Reverse then
				self:vertalign(top):diffusealpha(0)
			else
				self:vertalign(top):diffusealpha(0):addrotationz(180)
			end
		end;
		PressCommand= function(self)
			self:diffusealpha(1)
		end;
		LiftCommand=function(self)
			self:diffusealpha(0)
		end;
	};
	Def.Sprite {
		Texture="laser2";
		Frame0000=0;
		Delay0000=1;
		InitCommand=function(self)
			if Reverse then
				self:vertalign(bottom):diffusealpha(0)
			else
				self:vertalign(bottom):diffusealpha(0):addrotationz(180)
			end
		end;
		PressCommand= function(self)
			self:diffusealpha(1)
		end;
		LiftCommand=function(self)
			self:diffusealpha(0)
		end;
	};


};

return t;